//https://www.bitabittecnologia.com.br

//Vídeo com exemplo deste código:
//https://youtu.be/41XX-4scuyg

//Controla a velocidade do motor de passo com um potenciômetro

#include  <Stepper.h>

int pot = 0;

int passos_por_volta = 64; //Motor de passo unipolar modelo 28BYJ-48 5V possui 64 passos por volta sem redução

Stepper motor_passo(passos_por_volta, 8, 10, 9, 11); //Passos_por_volta_do_motor, IN1, IN3, IN2, IN4

void setup() 
{
  Serial.begin(9600);
}

void loop() 
{
  int valor_pot = analogRead(pot);

  int velocidade = map(valor_pot, 0, 1023, 0, 200);
  
  if(velocidade > 0)
  {
    motor_passo.setSpeed(velocidade); 
    motor_passo.step(1); //Gira sentido horário
    Serial.println(velocidade);
  }
}
